| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalAliasType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalAliasType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalAliasType ()
| Default constructor.
eProsima_user_DllExport | ~MinimalAliasType ()
| Default destructor.
eProsima_user_DllExport | MinimalAliasType (const MinimalAliasType &x)
| Copy constructor.
eProsima_user_DllExport | MinimalAliasType (MinimalAliasType &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalAliasType & | operator= (const MinimalAliasType &x)
| Copy assignment.
eProsima_user_DllExport MinimalAliasType & | operator= (MinimalAliasType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalAliasType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalAliasType &x) const
| Comparison operator.
eProsima_user_DllExport void | alias_flags (const AliasTypeFlag &_alias_flags)
| This function copies the value in member alias_flags.
eProsima_user_DllExport void | alias_flags (AliasTypeFlag &&_alias_flags)
| This function moves the value in member alias_flags.
eProsima_user_DllExport const AliasTypeFlag & | alias_flags () const
| This function returns a constant reference to member alias_flags.
eProsima_user_DllExport AliasTypeFlag & | alias_flags ()
| This function returns a reference to member alias_flags.
eProsima_user_DllExport void | header (const MinimalAliasHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (MinimalAliasHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const MinimalAliasHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport MinimalAliasHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | body (const MinimalAliasBody &_body)
| This function copies the value in member body.
eProsima_user_DllExport void | body (MinimalAliasBody &&_body)
| This function moves the value in member body.
eProsima_user_DllExport const MinimalAliasBody & | body () const
| This function returns a constant reference to member body.
eProsima_user_DllExport MinimalAliasBody & | body ()
| This function returns a reference to member body.

## Detailed Description

This class represents the structure MinimalAliasType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalAliasType() [1/3]

eProsima_user_DllExport MinimalAliasType | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalAliasType()

eProsima_user_DllExport ~MinimalAliasType | ( |  | ) |

inline

Default destructor.

## ◆ MinimalAliasType() [2/3]

eProsima_user_DllExport MinimalAliasType | ( | const MinimalAliasType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalAliasType that will be copied.

## ◆ MinimalAliasType() [3/3]

eProsima_user_DllExport MinimalAliasType | ( | MinimalAliasType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalAliasType that will be copied.

## Member Function Documentation

## ◆ alias_flags() [1/4]

eProsima_user_DllExport AliasTypeFlag & alias_flags | ( |  | ) |

inline

This function returns a reference to member alias_flags.

Returns
  Reference to member alias_flags

## ◆ alias_flags() [2/4]

eProsima_user_DllExport const AliasTypeFlag & alias_flags | ( |  | ) | const

inline

This function returns a constant reference to member alias_flags.

Returns
  Constant reference to member alias_flags

## ◆ alias_flags() [3/4]

eProsima_user_DllExport void alias_flags | ( | AliasTypeFlag && | _alias_flags | ) |

inline

This function moves the value in member alias_flags.

Parameters

  _alias_flags | New value to be moved in member alias_flags

## ◆ alias_flags() [4/4]

eProsima_user_DllExport void alias_flags | ( | const AliasTypeFlag & | _alias_flags | ) |

inline

This function copies the value in member alias_flags.

Parameters

  _alias_flags | New value to be copied in member alias_flags

## ◆ body() [1/4]

eProsima_user_DllExport MinimalAliasBody & body | ( |  | ) |

inline

This function returns a reference to member body.

Returns
  Reference to member body

## ◆ body() [2/4]

eProsima_user_DllExport const MinimalAliasBody & body | ( |  | ) | const

inline

This function returns a constant reference to member body.

Returns
  Constant reference to member body

## ◆ body() [3/4]

eProsima_user_DllExport void body | ( | const MinimalAliasBody & | _body | ) |

inline

This function copies the value in member body.

Parameters

  _body | New value to be copied in member body

## ◆ body() [4/4]

eProsima_user_DllExport void body | ( | MinimalAliasBody && | _body | ) |

inline

This function moves the value in member body.

Parameters

  _body | New value to be moved in member body

## ◆ header() [1/4]

eProsima_user_DllExport MinimalAliasHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const MinimalAliasHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | const MinimalAliasHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | MinimalAliasHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalAliasType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalAliasType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalAliasType & operator= | ( | const MinimalAliasType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalAliasType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalAliasType & operator= | ( | MinimalAliasType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalAliasType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalAliasType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalAliasType object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp